﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace ChangeCellBackgroundAtRuntime
{
    public partial class ChangeCellBackground : Window
    {
        public ChangeCellBackground()
        {
            InitializeComponent();
        }

        private void xamDataGrid1_SelectedItemsChanged(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangedEventArgs e)
        {
            if (e.Type == typeof(Cell))
            {
                object style = xamDataGrid1.TryFindResource("LightGreenBackgroundStyle");
                xamDataGrid1.FieldLayouts[0].Fields[0].Settings.CellValuePresenterStyle = (Style)style;

                // the below work-around only works for v9.1
                xamDataGrid1.FieldLayouts[0].Fields[0].Visibility = Visibility.Collapsed;
                xamDataGrid1.FieldLayouts[0].Fields[0].Visibility = Visibility.Visible;
            }
        }
    }
}
